package com.common.service;

import com.common.entity.DmColumn;
import java.util.List;
import java.util.Map;

public interface DmColumnService {

    List<DmColumn> findAll();

    DmColumn findById(Long id);

    DmColumn findByDmColumnId(Long id);

    DmColumn findByName(String name);

    List<DmColumn> findByDisplayName(String displayName);

    List<DmColumn> findByIsBuiltIn(Boolean isBuiltIn);

    int insert(DmColumn dmColumn);

    int batchInsert(List<DmColumn> dmColumns);

    List<DmColumn> findByCondition(DmColumn condition);
    Long count();

    List<Map<String, Object>>  selectAllNormal();
}